# -*- coding: utf-8 -*-
# Copyright (c) 2002-2010 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: setup.py 39326 2010-01-25 12:29:42Z sylvain $

from setuptools import setup, find_packages
import os

version = '2.2b1'

setup(name='silva.core.layout',
      version=version,
      description="Layout system for Silva base on Zope Tool Kit and Grok",
      long_description=open("README.txt").read() + "\n" +
                       open(os.path.join("docs", "HISTORY.txt")).read(),
      classifiers=[
        "Framework :: Zope2",
        "License :: OSI Approved :: BSD License",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='layout silva core',
      author='Infrae',
      author_email='info@infrae.com',
      url='http://infrae.com/products/silva',
      license='BSD',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['silva', 'silva.core'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          'zope.interface',
          'zope.component',
          'five.localsitemanager',
          'martian',
          'silva.resourceinclude',
          'silva.core.views',
          'silva.core.conf',
          'silva.core.interfaces',
          'silva.core.services',
          'Products.SilvaLayout',
          ],
      )
